Provide better Firefox KDE integration

Bug #494067 reported by Felix Geyer on 2009-12-08
142
This bug affects 24 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Confirmed
Medium
XULRunner
Confirmed
Medium
Baltix
Undecided
Unassigned
openSUSE
Fix Released
Medium
firefox (Ubuntu)
Wishlist
Unassigned
xulrunner-1.9.1 (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: firefox-3.5

The KDE integration of Firefox is still suboptimal in Ubuntu.

openSUSE developed a set of patches that improves the situation:
http://en.opensuse.org/KDE/FirefoxIntegration
http://gitorious.org/firefox-kde-opensuse/

These should be integrated into the firefox-3.5 / xulrunner-1.9.1 packages and
a new package for the helper application kmozillahelper is necessary.

Related branches

i thought there was a bug on this, bug didn't find it.
Related: bug 18731, bug 73712, bug 79120.

We need to do this in such a way as to not introduce a runtime dependency on
KDE, no? Since KDE is not guaranteed to be available on the system....

The GNOME and KDE folks are collaborating with the freedesktop.org people on
some of these matters. Eg stuff like the system tray for mail notifications
http://www.freedesktop.org/standards/systemtray/systemtray-spec.html and desktop
entries for menu entries
http://www.freedesktop.org/standards/desktop-entry-spec.html
might be handy resources.
Perhaps a "freedesktops" integration bug would be good place to start, rather
than going for GNOME or KDE specific behaviours if it can be avoided. They're
trying to standardise their mime types too.

I'm confused about the scope of this bug. IMO, this should probably be a "*NIX
integration" bug, with several dependencies:

- Icons (KDE/Gnome/etc)
- System Notifications (Biff)
- System Dialogs (Kprinter/???)
- Fonts (xft)
- Theming for "Classic" theme (KDE/Gnome theme integration, since classic now
means "OS native" on Windows XP)

I'd love to see what work is being done along these lines, but it's hard to see
exactly what's going on without the tracking bug.

*** Bug 157515 has been marked as a duplicate of this bug. ***

Don't forget the KMenu..Bookmarks list! :p

anything new on this? Has anything happened with newer versions of Mozilla and
KDE 3.1? (bug focus) - is this less of an issue, and if so, in what ways?

Nothing has happened. Note the lack of patches in this bug.

*** Bug 197916 has been marked as a duplicate of this bug. ***

*** Bug 203367 has been marked as a duplicate of this bug. ***

Ben will certainly never work on this...

I am not completely sure what the right component for this should be, but
"Preferences" is definitely not it.

XDS support (http://freedesktop.org/wiki/Standards_2fXDS) would be most welcome.
Changing summary to reflect bug scope.

Sorry, but why do you morph someone else's bug into what you think might be an
interesting related, but different thing to be done?
This is about integrating with KDE specifically.
Integrating with some freedesktop.org specs might help in that effort, but won't
finish that job by far. What you want is a different bug that should be filed as
a different bug and be related to that one.
Not that it's not a good thing or something, it's just two different things
bascially.

Comment 4 and comment 5 specifically mention freedesktop.org and generic *NIX
integration. So I merely changed the summary to reflect the contents of the bug.
If fd.o spec compliance does not mean full KDE integration, then that is a KDE
problem, not a mozilla bug, IMHO.

(In reply to comment #18)
> Comment 4 and comment 5 specifically mention freedesktop.org and generic *NIX
> integration. So I merely changed the summary to reflect the contents of the bug.
> If fd.o spec compliance does not mean full KDE integration, then that is a KDE
> problem, not a mozilla bug, IMHO.

It IS an RFE for Mozilla, as being able to access e.g some KDE settings (instead
of only GNOME settings we access now) is something including even more than only
freedesktop.org stuff.
Of course, it's connected, and of course playing well with different
freedesktop.org stuff also helps this effort, but it's still different things,
as full KDE integration is more than just freedesktop.org stuff.

When right-clicking an image in firefox under KDE and choosing set as desktop background, your background stays the same, later when entering the Gnome Window manager you find your image went there.

Sounds like a task for Portland.

Stephan, if you know who can do anything here, please reassign it.
That's one more GNOME vs. KDE integration and w/o anyone interested from the KDE side this will never change.
Firefox writes the wallpaper setting into gconf.

The easiest way would be to call "/opt/kde3/bin/dcop kdesktop KBackgroundIface setWallpaper <filename>". I don't know if firefox yet has a concept under which desktop it runs.

It has no concept at the moment. We have some code-paths where it makes a difference though.
This stuff is handled by
http://lxr.mozilla.org/mozilla1.8.0/source/browser/components/shell/src/nsGNOMEShellService.cpp

I think it wouldn't be too hard to create another component which would do (almost) the same under KDE. But I don't know anything about KDE.

on my todo

On my TODO is a general concept now to recognize which desktop is used.
To get started with something practical it would be _very_ nice if someone from KDE would implement a nsKDEShellService like the nsGNOMEShellService implementing this interface:
http://lxr.mozilla.org/seamonkey/source/browser/components/shell/public/nsIShellService.idl

It seems that at least something can be done using dcop commandline. I wonder if there is C/C++ interface as well (preferably w/o linking all of KDE for it).

I could do the work to make the mozilla specific stuff work since it would need some restructuring to either load the GNOME or the KDE shell service.

*** Bug 299595 has been marked as a duplicate of this bug. ***

*** Bug 419485 has been marked as a duplicate of this bug. ***

*** Bug 431953 has been marked as a duplicate of this bug. ***

*** Bug 409251 has been marked as a duplicate of this bug. ***

While Firefox 3.0 integrates nicely with Windows 5.x, 6.x and Gnome it does not in KDE 4.x

Can we rename this to "Don't show 'Set Desktop Background' under KDE" unless a generic solution pop ups? :-)

I think this deserves a bit better priority now that it is the default. Most of the stuff in the interface should not be very difficult.

(In reply to comment #3)
> The easiest way would be to call "/opt/kde3/bin/dcop kdesktop KBackgroundIface
> setWallpaper <filename>". I don't know if firefox yet has a concept under which
> desktop it runs.

It has no generic concept still but we are using at least one patch which just checks for $DESKTOP_SESSION.

@KDE team: What is the current way to determine (env variables preferred) if the app is running under KDE(4) and what is the correct command for KDE(4) to set the wallpaper.

And while we are at it: Is there a (dcop) command which can set a default application (checking for or making Firefox the default browser)?

Determining if running in KDE: see KDE_FULL_SESSION in /usr/bin/startkde.

The interface from comment #6:

- isDefaultBrowser:
===
browserapp=$(kreadconfig --file kdeglobals --group General --key BrowserApplication)
if test "$browserapp" = "MozillaFirefox" -o "$browserapp" = "!firefox"; then
  echo Yes it is
fi
===

- setDefaultBrowser:
===
kwriteconfig --file kdeglobals --group General --key BrowserApplication MozillaFirefox
===

- setDesktopBackground:
probably no easy way right now, will check

- openApplication:
We do not really have a usercase of just opening a mail client without anything, there is only API for opening mailto: URL. But it can be read from settings:
===
profile=$(kreadconfig --file emaildefaults --group Defaults --key Profile)
client=$(kreadconfig --file emaildefaults --group "PROFILE_$profile" --key EmailClient)
if kreadconfig --file emaildefaults --group "PROFILE_$profile" --key TerminalClient --type bool; then
  term=$(kreadconfig --file kdeglobals --group General --key TerminalApplication --default konsole)
  client="$term -e $client"
fi
if test -z "$client"; then
    client=kmail
fi
echo $client
===
We do not have a setting for news reader at all. Just use "knode".

- desktopBackgroundColor
Is this supposed to actually do something and in which directions? Otherwise it's the same like with the wallpaper.

- openApplicationWithURI:
I'm not sure I get this one, what is it supposed to do other than "<application> <url>" ? Download the file first if necessary? Also, why does the application need to be specified, why not simply ask that URL to be opened, by whatever the desktop finds appropriate?
Opening an URL by whatever KDE finds appropriate is the "kde-open" binary. Downloading the contents of the URL and opening locally by an application is "kioexec" binary (which is not in $PATH and is to be located using "kde4-config --type exe --locate kioexec"). Using that one however is most probably wrong with KDE (that's why it's internal), since most KDE applications can handle URLs directly.

- defaultFeedReader:
Is this supposed to be the default RSS reader? We do not have a setting for this, I don't use RSS, but I think here you simply want to use "akregator".

Info was provided.

Let me complete the list: what is needed by setDesktopBackground and desktopBackgroundColor is not easily doable with KDE 4.3 - it should be with 4.4, so we might try to create some hack now, but if you would find it sufficient, I suggest to just remove the 'set as wallpaper' action in Firefox for KDE for now.

*** Bug 494376 has been marked as a duplicate of this bug. ***

Mostly done, code-wise. Firefox code has been extended with calls checking for KDE and using an external helper to do the work in that case, and there is simple support for having KDE-specific Firefox settings. This means that Firefox needs patching and a new package mozilla-xulrunner191-kde4 with the helper needs to be created (just simple KDE code, all written by me). It fixes most of the major integration problems and is quite safe. Status is at http://en.opensuse.org/KDE/FirefoxIntegration .

Cool. I've just installed your Mozilla packages. Here's my bug report:
Open/Save window is not translated.
Open/Save window has no icon.
Open/Save window's caption says KMozillaHelper.

Regarding widget style in the wiki: I suggest using QtCurve for KDE- and GTK-Applications (at least when using KDE as desktop). There are also Oxygen themes for GTK, but at least by my experience, they are not that good.

Trying out the firefox packages from

http://download.opensuse.org/repositories/home:/llunak:/mozilla/KDE_KDE4_Factory_Desktop_openSUSE_11.1/

I see the following problem
Clicking on links in kmail, akregator, etc. opens some temporary file in firefox instead of the correct url. This is probably because the application downloads the link to a temp location first and opens that with firefox instead of just passing the link directly to firefox.

Should I open a new bug?

(In reply to comment #19)
> I see the following problem
> Clicking on links in kmail, akregator, etc. opens some temporary file in
> firefox instead of the correct url. This is probably because the application
> downloads the link to a temp location first and opens that with firefox instead
> of just passing the link directly to firefox.

That works for me. Do you have both -kde4 packages installed and does zypper dup not show any old packages left? Also make sure systemsettings > standard components has firefox set as default browser.

I remember that I got some temporary konqueror progress window in some application, yet I'm not sure which one it was, it works without those in kmail from plain-text emails.

*** Bug 537102 has been marked as a duplicate of this bug. ***

*** Bug 537471 has been marked as a duplicate of this bug. ***

Button order:
Add bookmark (Ctrl D) has GNOME button order.

Open/Save window doesn't save my view preferences. It's always "Enable icon previews" and scale slider in the middle.

Forgot something:
"Preferences" should be moved to the "Tools" menu. While not labeled like the KDE "Settings" menu, KDE users' muscle memory expects it to be in the second menu from the right.

Opensuse developer is working in integrating firefox in KDE.

http://en.opensuse.org/KDE/FirefoxIntegration

I test it and it is amazing !

Is there any coordination to backport that work in upstream ?

(In reply to comment #23)
> I test it and it is amazing !

Nice to hear.

> Is there any coordination to backport that work in upstream ?

Not yet. The integration is pretty new. We are giving it more testing and will see a bit later to check with mozilla.org if and how we integrate it upstream.

(In reply to comment #20)
> (In reply to comment #19)

> dup not show any old packages left? Also make sure systemsettings > standard
> components has firefox set as default browser.
>

Thanks, setting the systemsettings > standard components > default browser to firefox instead of mozillafirefox (probably set when I chose to make firefox default from firefox) worked.

Created an attachment (id=320985)
strace output for firefox while encountering freezes

Noticing random lockups and x-restarts with latest firefox package from the repository

http://download.opensuse.org/repositories/home:/llunak:/mozilla/KDE_KDE4_Factory_Desktop_openSUSE_11.1/

Using openSUSE-11.1/x86_64

Attached strace output.

(In reply to comment #26)
> Created an attachment (id=320985) [details]
> strace output for firefox while encountering freezes
>
> Noticing random lockups and x-restarts with latest firefox package from the
> repository
>
> http://download.opensuse.org/repositories/home:/llunak:/mozilla/KDE_KDE4_Factory_Desktop_openSUSE_11.1/
>
> Using openSUSE-11.1/x86_64
>
> Attached strace output.

Forgot to add the version of firefox:
Version: 3.5.3-135.2

Firefox does not send a "startup finished" notification to KDE. The cursor continues to bounce.

Closing, pretty much everything here is fixed, except for #26 which is a separate bugreport and #24 which is a WONTFIX, I won't move just one item in the menu structure, especially this important item.

Felix Geyer (debfx) wrote :

Binary package hint: firefox-3.5

The KDE integration of Firefox is still suboptimal in Ubuntu.

openSUSE developed a set of patches that improves the situation:
http://en.opensuse.org/KDE/FirefoxIntegration
http://gitorious.org/firefox-kde-opensuse/

These should be integrated into the firefox-3.5 / xulrunner-1.9.1 packages and
a new package for the helper application kmozillahelper is necessary.

Felix Geyer (debfx) wrote :

I uploaded the helper application package to REVU:
http://revu.ubuntuwire.com/p/kmozillahelper

Changed in xulrunner:
status: Unknown → Confirmed
Changed in opensuse:
status: Unknown → Fix Released
Felix Geyer (debfx) wrote :

Proposed changes for the xulrunner-1.9.1 package.

Felix Geyer (debfx) wrote :

Proposed changes for the firefox-3.5 package.

Changed in firefox-3.5 (Ubuntu):
status: New → Confirmed
Changed in xulrunner-1.9.1 (Ubuntu):
status: New → Confirmed
Micah Gersten (micahg) wrote :

I'm going to mark this Triaged as we have an upstream as well as a blueprint which needs approval still.

Changed in firefox-3.5 (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged
Changed in xulrunner-1.9.1 (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged
John Vivirito (gnomefreak) wrote :

Micah, We have a blueprint on this or is it upstream blueprint.
If ours can you please drop the link here.

Felix Geyer (debfx) wrote :
Jeremy Wilkins (wjeremy) wrote :

Someone has already created a ppa to solve this very problem. Rather than reinvent the wheel, check it out and maybe we can learn a little. Here is that ppa:
https://launchpad.net/~debfx/+archive/firefox-kde

This incorporates similar patches as OpenSUSE to my understanding.

Jeremy Wilkins (wjeremy) wrote :

Oops, these are yours Felix my error *Blush*

Nicolas Piguet (npiguet) wrote :

According to the OpenSUSE page, this firefox extension (https://addons.mozilla.org/en-US/firefox/addon/49357) allows firefox to use KWallet to store its passwords. It might be a good idea to package it and include it into a firefox-kde package.

Jonathan Riddell (jr) wrote :

feature freeze exception approved

Felix Geyer (debfx) on 2010-03-04
affects: firefox-3.5 (Ubuntu) → firefox (Ubuntu)
Changed in xulrunner-1.9.1 (Ubuntu):
status: Triaged → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 3.6+nobinonly-0ubuntu6

---------------
firefox (3.6+nobinonly-0ubuntu6) lucid; urgency=low

  [ Jamie Strandboge <email address hidden> ]
  * adjust AppArmor profile to allow scim

  [ Felix Geyer <email address hidden>]
  * Apply KDE integration from openSUSE (LP: #494067)
    - add debian/patches/mozilla-kde.patch
    - add debian/patches/firefox-kde.patch
    - update debian/patches/series
    - update debian/rules
  * Add kmozillahelper to suggests of firefox
    - update debian/control

  [ Kees Cook <email address hidden> ]
  * fix LP: #531581 - cannot report bugs or crashes when profile names contains
    spaces; concatenate non alnum characters in profile name for apport use
    - update debian/apport/firefox.py

  [ Micah Gersten <email address hidden> ]
  * fix LP: #531895 - Firefox isn't in Ubuntu Software Center's "Internet" or
    "Web Browsers" sections; Add Internet and WebBrowser Categories to .desktop
    - update debian/abrowser.desktop
    - update debian/firefox-final.desktop
    - update debian/firefox-namoroka.desktop
  * fix FTBFS on sparc; disable jit on sparc until bmo 502369 is fixable
    - update debian/rules
 -- Micah Gersten <email address hidden> Sat, 06 Mar 2010 23:47:38 -0600

Changed in firefox (Ubuntu):
status: Triaged → Fix Released

Does ANY of mozilla devs use KDE?
I'm pretty sure there are thousands (millions?) of KDE users which use Firefox as default browser.
However, things like no application in "open with" when downloading a file (or worst, things like tar to open a package, or less to open a text file), or the GTK file dialog for uploading files (horrible, as there's no way to have icons with previews, which is a must when upload photos in folders with 100s of files) heavily degrades the user experience.
OpenSUSE has done a remarkable integration, there's even a tracking bug for integrating it upstream (https://bugzilla.mozilla.org/show_bug.cgi?id=528510), but KDE seems an unreachable priority in mozilla, which is a shame.

(In reply to comment #25)
> Does ANY of mozilla devs use KDE?

I doubt there are many (if any) mozilla core devs that use GNU/Linux at all. I guess they will be happy to have new contributors though. But devs from GNOME/KDE tend to contribute to their pet browsers (Konqueror, Galeon, rekonq) or even use chrome/opera. If you are interested in helping, please do it:

https://developer.mozilla.org/En/Developer_Guide

Otherwise, you are not helping.

We've already released the integration for Lucid.

On 04/05/2010 02:23 PM, Luis Fernando Planella Gonzalez wrote:
> Does ANY of mozilla devs use KDE?
> I'm pretty sure there are thousands (millions?) of KDE users which use Firefox as default browser.
> However, things like no application in "open with" when downloading a file (or worst, things like tar to open a package, or less to open a text file), or the GTK file dialog for uploading files (horrible, as there's no way to have icons with previews, which is a must when upload photos in folders with 100s of files) heavily degrades the user experience.
> OpenSUSE has done a remarkable integration, there's even a tracking bug for integrating it upstream (https://bugzilla.mozilla.org/show_bug.cgi?id=528510), but KDE seems an unreachable priority in mozilla, which is a shame.
>
>

My apologies for the last comment. I didn't realize it was on Mozilla's bugtracker.

On 04/06/2010 11:20 PM, Micah Gersten wrote:
> We've already released the integration for Lucid.
>
> On 04/05/2010 02:23 PM, Luis Fernando Planella Gonzalez wrote:
>> Does ANY of mozilla devs use KDE?
>> I'm pretty sure there are thousands (millions?) of KDE users which use Firefox as default browser.
>> However, things like no application in "open with" when downloading a file (or worst, things like tar to open a package, or less to open a text file), or the GTK file dialog for uploading files (horrible, as there's no way to have icons with previews, which is a must when upload photos in folders with 100s of files) heavily degrades the user experience.
>> OpenSUSE has done a remarkable integration, there's even a tracking bug for integrating it upstream (https://bugzilla.mozilla.org/show_bug.cgi?id=528510), but KDE seems an unreachable priority in mozilla, which is a shame.
>>
>>
>
The other day i checked and all we had was an installer for FF for KDE,
maybe it hadnt landed here yet.
kubuntu-firefox-installer

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

*** Bug 596975 has been marked as a duplicate of this bug. ***

Changed in xulrunner:
importance: Unknown → Medium

Bug 278343 Password Manager should work with KWallet ?

Firefox-KDE-support package in Kubuntu will be droppen for next release (12.04)
http://www.phoronix.com/vr.php?view=MTA3MjI

So now KDE support in upstream Firefox is very important for Kubuntu users.

Man. That's sad. How do people stand to upload photo's with thumbnails the size of peas in the gtk file dialog FF uses?

It's important for all users!

Building firefox-kde-opensuse on ArchLinux is a pain... It fails at every new Firefox version...

Chromium have KDE support without any code linked to KDE... It just use kdialog to save/open file... And revert button order when KDE is runnning...

Could someone with the appropriate permissions on Launchpad please change the "Fix Released" for Ubuntu back to Confirmed (since the KDE support package has been droppedin Precise/Quantal)?

Marius B. Kotsbak (mariusko) wrote :

Please clarify. The bug is supposed to be fixed in the Firefox package. Has it reappeared?

The bug (lack of KDE integration) was fixed by adding the firefox-support-kde package, which I think used LD_PRELOAD to make Firefox use KDE dialogs etc.. However, that package was dropped in Precise and Quantal (bug #949949), which therefore causes the bug to resurface.

Marius B. Kotsbak (mariusko) wrote :

I guess the fixed state, at least whe set by a package update, should not be changed so you probably should open a new bug report in an updated Ubuntu with "ubuntu-bug firefox" and link the upstream bug report from there.

Changed in opensuse:
importance: Unknown → Medium
Changed in firefox:
importance: Unknown → Medium
status: Unknown → Confirmed

It's extremely uncomfortable to use Firefox in KDE without integration, and there is much interest in this, just look at the CC list, and the user base of KDE is not small... Please, at least integrate Firefox and Thunderbird with KDE for system dialogs and, most important, file associations for a better functionality. OpenSUSE and Kubuntu (through the Blue-Shell PPA) guys do this with Firefox, so I think you can talk to them if you want some help. I think this issue shouldn't be such a big deal to take more than 10 years to solve it. I hope it will be soon.

This issue -- of improving KDE + Firefox integration, generally, and of getting Firefox to use Dolphin, specifically -- has languished for a long time.

It has, after all, been percolating, unresolved, for ~ 12 yrs now.

Atm, it's basically dead & inactive. I'm hoping that that can be reversed.

If "you" are still interested in good/solid KDE+Firefox integration, read-on --

IMO, not getting to a decent solution has not been for lack of trying/interest:

 Bug 140751 - Integrate Mozilla with KDE
 https://bugzilla.mozilla.org/show_bug.cgi?id=140751

 Bug 528598 - provide a class to check for KDE environment and to interface with kmozillahelper
 https://bugzilla.mozilla.org/show_bug.cgi?id=528598

 Provide better Firefox KDE integration
 https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/494067

 Bug 528510 - [Tracking] Port OpenSUSE KDE Integration for Firefox
 https://bugzilla.mozilla.org/show_bug.cgi?id=528510

 Firefox on KDE
 https://groups.google.com/forum/#!topic/mozilla.dev.platforms.linux/XKyWG8NwSeA

 (I'm sure there are more ...)

As of this date, there's still no solution that works consistently well. Opensuse's patches are the closest to it (cref packages: "kmozillahelper", "mozilla-kde4-integration"), & have been intermittently available/functional in Opensuse, as well as ported to Ubuntu, Arch, others.

But, even the Opensuse devs say they're not happy with their own, 'hacky' solution.

And, unless I've missed it, the "right people" simply aren't talking to one another.

A "good" solution will need devs -- at least one each -- from KDE, Mozilla/Firefox & Opensuse/other distro devs, to agree that this should get done, and actually talk/work with one another to do so.

I've tried to re-start the discussion about getting a good solution to KDE+Firefox integration.

 https://mail.mozilla.org/pipermail/firefox-dev/2014-July/001940.html

In that thread I received thoughtful/arguable comments from @Mozilla folks, e.g.

 "...
 I believe that there is plenty of good will among
 Mozilla developers to help Firefox + Dolphin along the road (starting
 with reviewing patches and mentoring newcomers).
 ...
 firefox-dev and bugs are as good a place as any to start.
 ..."

They certainly seem willing to work with KDE & others -- but it will NOT happen alone.

So, if "you" are still interested in good/solid KDE+Firefox integration -- pls start by subscribing to "firexfox-dev" mailing list

 https://mail.mozilla.org/listinfo/firefox-dev

and consolidating communication to THIS thread:

 "Firefox + KDE integration: Getting FF to use Dolphin reliably. 12+ years and counting."
  https://mail.mozilla.org/pipermail/firefox-dev/2014-July/001940.html

'Everybody' talking about the issue in one place wouldn't, imo, be a bad 1st step.

This issue -- of improving KDE + Firefox integration, generally, and of getting Firefox to use Dolphin, specifically -- has languished for a long time.

It has, after all, been percolating, unresolved, for ~ 12 yrs now.

Atm, it's basically dead & inactive. I'm hoping that that can be reversed.

If "you" are still interested in good/solid KDE+Firefox integration, read-on --

IMO, not getting to a decent solution has not been for lack of trying/interest:

 Bug 140751 - Integrate Mozilla with KDE
 https://bugzilla.mozilla.org/show_bug.cgi?id=140751

 Bug 528598 - provide a class to check for KDE environment and to interface with kmozillahelper
 https://bugzilla.mozilla.org/show_bug.cgi?id=528598

 Provide better Firefox KDE integration
 https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/494067

 Bug 528510 - [Tracking] Port OpenSUSE KDE Integration for Firefox
 https://bugzilla.mozilla.org/show_bug.cgi?id=528510

 Firefox on KDE
 https://groups.google.com/forum/#!topic/mozilla.dev.platforms.linux/XKyWG8NwSeA

 (I'm sure there are more ...)

As of this date, there's still no solution that works consistently well. Opensuse's patches are the closest to it (cref packages: "kmozillahelper", "mozilla-kde4-integration"), & have been intermittently available/functional in Opensuse, as well as ported to Ubuntu, Arch, others.

But, even the Opensuse devs say they're not happy with their own, 'hacky' solution.

And, unless I've missed it, the "right people" simply aren't talking to one another.

A "good" solution will need devs -- at least one each -- from KDE, Mozilla/Firefox & Opensuse/other distro devs, to agree that this should get done, and actually talk/work with one another to do so.

I've tried to re-start the discussion about getting a good solution to KDE+Firefox integration.

 https://mail.mozilla.org/pipermail/firefox-dev/2014-July/001940.html

In that thread I received thoughtful/arguable comments from @Mozilla folks, e.g.

 "...
 I believe that there is plenty of good will among
 Mozilla developers to help Firefox + Dolphin along the road (starting
 with reviewing patches and mentoring newcomers).
 ...
 firefox-dev and bugs are as good a place as any to start.
 ..."

They certainly seem willing to work with KDE & others -- but it will NOT happen alone.

So, if "you" are still interested in good/solid KDE+Firefox integration -- pls start by subscribing to "firexfox-dev" mailing list

 https://mail.mozilla.org/listinfo/firefox-dev

and consolidating communication to THIS thread:

 "Firefox + KDE integration: Getting FF to use Dolphin reliably. 12+ years and counting."
  https://mail.mozilla.org/pipermail/firefox-dev/2014-July/001940.html

'Everybody' talking about the issue in one place wouldn't, imo, be a bad 1st step.

Please remember the notorious "Well, this is embarrassing" after KDE logout:
http://support.mozilla.org/en-US/questions/982769
http://bugs.launchpad.net/ubuntu/+bug/492001

If you, like me, tend to have Firefox open when exiting KDE (like turning off computer), then voila, this becomes your computer's greeting message... (That's KDE restoring last open programs for you.)

It's like this even on openSUSE. And it happens _always_.

(In reply to Andreas Nordal from comment #37)
> It's like this even on openSUSE. And it happens _always_.

For me, with my self-compiled Nightly builds on openSUSE Factory (and KDE:Distro:Factory, i.e. latest KDE versions), it doesn't happen always but there are some stretches where it (i.e. displaying about:sessionrestore) happens every day and then stretches where it doesn't happen for weeks.

It's more annoying to me that on my two-screen multi-Firefox-window setup, KDE and Firefox communicate little enough that the spread of one window on the second screen showing on all desktops and the others on the first screen on a single desktop comes out wrongly on every single KDE launch.

That said, I think all those issues deserve separate bugs.

any news?

yeah, a guy named grant has taken the torch: https://mail.mozilla.org/pipermail/firefox-dev/2014-July/001940.html

best of luck to him!

i know but from June there aren't news :-/

This is an autogenerated message for OBS integration:
This bug (170055) was mentioned in
https://build.opensuse.org/request/show/19975 Factory / mozilla-xulrunner191-kde4
https://build.opensuse.org/request/show/20436 Factory / mozilla-xulrunner191
https://build.opensuse.org/request/show/20525 Factory / MozillaFirefox
https://build.opensuse.org/request/show/22141 Factory / MozillaFirefox

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.